anonymous_andy (anonymous_andy) wrote in ru_python,
anonymous_andy
anonymous_andy
ru_python

версии библиотеки....

Крик от бессилия!!
Коллеги, ну просто чистым матом хочется покричать, ну хороший язык питон, но с библиотеками кодировками ну просто какой то капец!!!

Мне нужно сделать простой парсер который будет переходить по интернет страничкам брать нужные и записывать из в базу данных, объясните почему нельзя сделать хоть какую то совместимость между версиями/библиотеками?!?! почему я неделю бьюсь сначала с версией 2.7 из под которой всё работает, но не возможно нормально работать с кодировками, в результате плюнув на 2.7, третий день бьюсь чтобы на 3.х хоть на какой то версии заработали библиотеки BeautifulSoup/lxml ?!?!?!?!
ну как так то!?
  • Post a new comment

    Error

    default userpic

    Your reply will be screened

    Your IP address will be recorded 

  • 20 comments